<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.10) on Sun Feb 21 22:03:03 CET 2021 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-02-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../school/FileUtils.html#generateFile(java.lang.String,java.lang.String)">generateFile(String, String)</a></span> - Static method in class school.<a href="../school/FileUtils.html" title="class in school">FileUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../school/MiddleSchool.html#generateJson()">generateJson()</a></span> - Method in class school.<a href="../school/MiddleSchool.html" title="class in school">MiddleSchool</a></dt>
<dd>
<div class="block">Generates the Json of the school located in /res/</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Student.html#getAvgGlobalMark()">getAvgGlobalMark()</a></span> - Method in class school.<a href="../school/Student.html" title="class in school">Student</a></dt>
<dd>
<div class="block">Returns the global average mark of the <a href="../school/Student.html" title="class in school"><code>Student</code></a>
 taking in account optional subject notation,
 1 point above 10 on the average mark
 of the optional subject adds 0.1 point
 on the global average mark meaning up to
 2 points can be added</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Student.html#getFirstname()">getFirstname()</a></span> - Method in class school.<a href="../school/Student.html" title="class in school">Student</a></dt>
<dd>
<div class="block">returns the first name of the <a href="../school/Student.html" title="class in school"><code>Student</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getGlobalAvgForGrade()">getGlobalAvgForGrade()</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">Returns the global average mark for an entire <a href="../school/Grade.html" title="class in school"><code>Grade</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Student.html#getGrade()">getGrade()</a></span> - Method in class school.<a href="../school/Student.html" title="class in school">Student</a></dt>
<dd>
<div class="block">returns the grade of the <a href="../school/Student.html" title="class in school"><code>Student</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../school/MiddleSchool.html#getGradeFromLvlAndId(int,char)">getGradeFromLvlAndId(int, char)</a></span> - Method in class school.<a href="../school/MiddleSchool.html" title="class in school">MiddleSchool</a></dt>
<dd>
<div class="block">returns the <a href="../school/Grade.html" title="class in school"><code>Grade</code></a> with the corresponding level and id
 if no <a href="../school/Grade.html" title="class in school"><code>Grade</code></a> matches the request, a new one will be created</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/MiddleSchool.html#getGrades()">getGrades()</a></span> - Method in class school.<a href="../school/MiddleSchool.html" title="class in school">MiddleSchool</a></dt>
<dd>
<div class="block">returns the list of the grades in the school</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/MiddleSchool.html#getGradesOfLevel(int)">getGradesOfLevel(int)</a></span> - Method in class school.<a href="../school/MiddleSchool.html" title="class in school">MiddleSchool</a></dt>
<dd>
<div class="block">Returns the marks in all the subjects of an entire level</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getIdentifier()">getIdentifier()</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">returns the identifier of the <a href="../school/Grade.html" title="class in school"><code>Grade</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Identifier.html#getIdentifier()">getIdentifier()</a></span> - Method in enum school.<a href="../school/Identifier.html" title="enum in school">Identifier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../school/Student.html#getLastname()">getLastname()</a></span> - Method in class school.<a href="../school/Student.html" title="class in school">Student</a></dt>
<dd>
<div class="block">returns the last name of the <a href="../school/Student.html" title="class in school"><code>Student</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getLevel()">getLevel()</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">returns the level of the <a href="../school/Grade.html" title="class in school"><code>Grade</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Level.html#getLevel()">getLevel()</a></span> - Method in enum school.<a href="../school/Level.html" title="enum in school">Level</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../school/Subject.html#getLevel()">getLevel()</a></span> - Method in enum school.<a href="../school/Subject.html" title="enum in school">Subject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../school/Student.html#getMarks()">getMarks()</a></span> - Method in class school.<a href="../school/Student.html" title="class in school">Student</a></dt>
<dd>
<div class="block">returns the map of marks of the <a href="../school/Student.html" title="class in school"><code>Student</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Subject.html#getNbMarks()">getNbMarks()</a></span> - Method in enum school.<a href="../school/Subject.html" title="enum in school">Subject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../school/MiddleSchool.html#getSpecificAvgFromSubjectAndLevel(school.Subject,int,int)">getSpecificAvgFromSubjectAndLevel(Subject, int, int)</a></span> - Method in class school.<a href="../school/MiddleSchool.html" title="class in school">MiddleSchool</a></dt>
<dd>
<div class="block">Returns the average mark from a specified test in a specified subject on a specified level</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getSpecificAvgMarksFromSubject(school.Subject,int)">getSpecificAvgMarksFromSubject(Subject, int)</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">returns the average mark of a specified test of the specified subject</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getSpecificMarksFromSubject(school.Subject,int)">getSpecificMarksFromSubject(Subject, int)</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">returns the list of a specified test of the specified subject</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Student.html#getSpecificMarksFromSubject(school.Subject,int)">getSpecificMarksFromSubject(Subject, int)</a></span> - Method in class school.<a href="../school/Student.html" title="class in school">Student</a></dt>
<dd>
<div class="block">returns the mark of the <a href="../school/Student.html" title="class in school"><code>Student</code></a>
 of the provided test in the provided subject
 or null if no subjects match the parameter
 or if the index provided exceed number of test</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/MiddleSchool.html#getSpecificMaxFromSubjectAndLevel(school.Subject,int,int)">getSpecificMaxFromSubjectAndLevel(Subject, int, int)</a></span> - Method in class school.<a href="../school/MiddleSchool.html" title="class in school">MiddleSchool</a></dt>
<dd>
<div class="block">Returns the maximum mark from a specified test in a specified subject on a specified level</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getSpecificMaxMarksFromSubject(school.Subject,int)">getSpecificMaxMarksFromSubject(Subject, int)</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">returns the maximum of a specified test of the specified subject</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/MiddleSchool.html#getSpecificMedianFromSubjectAndLevel(school.Subject,int,int)">getSpecificMedianFromSubjectAndLevel(Subject, int, int)</a></span> - Method in class school.<a href="../school/MiddleSchool.html" title="class in school">MiddleSchool</a></dt>
<dd>
<div class="block">Returns the median mark from a specified test in a specified subject on a specified level</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getSpecificMedianMarksFromSubject(school.Subject,int)">getSpecificMedianMarksFromSubject(Subject, int)</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">returns the median of a specified test of the specified subject</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/MiddleSchool.html#getSpecificMinFromSubjectAndLevel(school.Subject,int,int)">getSpecificMinFromSubjectAndLevel(Subject, int, int)</a></span> - Method in class school.<a href="../school/MiddleSchool.html" title="class in school">MiddleSchool</a></dt>
<dd>
<div class="block">Returns the minimum mark from a specified test in a specified subject on a specified level</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getSpecificMinMarksFromSubject(school.Subject,int)">getSpecificMinMarksFromSubject(Subject, int)</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">returns the minimum of a specified test of the specified subject</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getStudentFromNameFirstnameLevel(java.lang.String,java.lang.String,int)">getStudentFromNameFirstnameLevel(String, String, int)</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">returns the student corresponding to the parameters,
 if no student is found, a new one will be created</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#getStudents()">getStudents()</a></span> - Method in class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">returns the list of students in the <a href="../school/Grade.html" title="class in school"><code>Grade</code></a></div>
</dd>
<dt><a href="../school/Grade.html" title="class in school"><span class="typeNameLink">Grade</span></a> - Class in <a href="../school/package-summary.html">school</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../school/Grade.html#%3Cinit%3E(int,char)">Grade(int, char)</a></span> - Constructor for class school.<a href="../school/Grade.html" title="class in school">Grade</a></dt>
<dd>
<div class="block">Creates a new <a href="../school/Grade.html" title="class in school"><code>Grade</code></a> from a level and id
 and adds 20 <a href="../school/Student.html" title="class in school"><code>Student</code></a> to it</div>
</dd>
<dt><span class="memberNameLink"><a href="../school/Subject.html#GREC">GREC</a></span> - school.<a href="../school/Subject.html" title="enum in school">Subject</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
